Ignore:
Timestamp:
May 3, 2008, 9:25:20 PM (16 years ago)
Author:
njess
Message:
misc. uncommitted changes from April from acrefoot
File:
1 edited

Legend:

Unmodified
Added
Removed
  • locker/sbin/build-update

    r720 r742  
    9090
    9191open (SCRIPT, ">", catfile($outdir, "update")) or die "Couldn't write update: $!";
    92 printf SCRIPT <<'EOF', catfile("/mit/scripts/deploy/", $old), catfile("/mit/scripts/deploy/", $new);
     92printf SCRIPT <<'EOF', catfile("/afs/athena.mit.edu/contrib/scripts/deploy/", $old), catfile("/afs/athena.mit.edu/contrib/scripts/deploy/", $new);
    9393#!/bin/bash
    9494set -e -o noclobber
    9595
    96 die () { echo "$1" >&2; exit 1; }
     96die () { echo "$1" >&2; rm .scripts-security-upd-lock; exit 1; }
    9797
    9898patchdir=$(dirname "$0")
     
    100100>.scripts-security-upd-lock || die "error: Unable to obtain update lock."
    101101
    102 packages=$(tail -n 1 .scripts-version)
     102packages=$(tail -1 .scripts-version)
    103103
    104104echo "[$PWD] begin dry run"
     
    116116
    117117[ "$found" = "yes" ] || die "error: Correct version not found."
    118 xargs -n1 test ! -e <"$patchdir/oldfiles.absent" || die "error: Conflicting files exist."
    119 md5sum -c "$patchdir/check.md5" || die "error: MD5 check failed."
     118[ -s "$patchdir/oldfiles.absent" ] && (xargs -n1 test ! -e <"$patchdir/oldfiles.absent" || die "error: Conflicting files exist." )
     119[ -s "$patchdir/check.md5" ] && (md5sum -c "$patchdir/check.md5" || die "error: MD5 check failed.")
    120120patch -stN --dry-run --no-backup-if-mismatch -p2 <"$patchdir/update.diff" || die "error: Patch dry run failed."
    121121
     
    126126xargs rm -f <"$patchdir/files.delete"
    127127tar -xzf "$patchdir/newfiles.tar.gz"
     128[ -e "$patchdir/extra/postpatch.sh" ] && . "$patchdir/extra/postpatch.sh"
    128129(
    129130    cat .scripts-version.old
Note: See TracChangeset for help on using the changeset viewer.